### Method

# Gio DBusAuthObserver authorize_authenticated_peer

since: 2.26

#### Declaration [src]

    gboolean
    g_dbus_auth_observer_authorize_authenticated_peer (
      GDBusAuthObserver* observer,
      GIOStream* stream,
      GCredentials* credentials
    )

#### Description [src]

Emits the `GDBusAuthObserver::authorize-authenticated-peer` signal on `observer`.

Available since: 2.26

#### Parameters

`stream`

  Type: `GIOStream`

  A `GIOStream` for the `GDBusConnection`.

  The data is owned by the caller of the method.

`credentials`

  Type: `GCredentials`

  Credentials received from the peer or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the peer is authorized, `FALSE` if not.